<?php
namespace Mirasvit\SeoMarkup\Block\Adminhtml\Extender\Condition;

/**
 * Interceptor class for @see \Mirasvit\SeoMarkup\Block\Adminhtml\Extender\Condition
 */
class Interceptor extends \Mirasvit\SeoMarkup\Block\Adminhtml\Extender\Condition implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Widget\Form\Renderer\Fieldset $fieldsetRenderer, \Magento\Rule\Block\Conditions $conditions, \Magento\Framework\Data\FormFactory $formFactory, \Magento\Backend\Model\Url $url, \Mirasvit\Seo\Api\Data\CanonicalRewriteInterfaceFactory $factory, \Mirasvit\SeoMarkup\Repository\ExtenderRepository $repository, \Magento\Framework\App\Request\DataPersistorInterface $dataPersistor, \Magento\Backend\Block\Widget\Context $context, array $data = [])
    {
        $this->___init();
        parent::__construct($fieldsetRenderer, $conditions, $formFactory, $url, $factory, $repository, $dataPersistor, $context, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getForm()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getForm');
        return $pluginInfo ? $this->___callPlugins('getForm', func_get_args(), $pluginInfo) : parent::getForm();
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
